package net.pingex.discordbot;

import java.util.ArrayList;

/**
 * Class which keeps track of all known loaded modules
 */
public class ModulesRegistry
{
	/**
	 * Contains all `AbstractModule` instances created.
	 */
	private static ArrayList<AbstractModule> datastore = new ArrayList<>();

	/**
	 * Action to register a loaded module
	 * @param toRegister Module to register
	 */
	public static void register(AbstractModule toRegister)
	{
		datastore.add(toRegister);
	}
}
